Subject: Re: [CCAMP] Updates to draft-ietf-ccamp-gmpls-otn-b100g-applicability

From: Italo Busi <[email-masked]>
Date: Mon, 8 Jul 2019 12:00:22 +0000

Hi Qilei,

Thanks for taking care of starting the draft update

Please find a couple of comments in line below

Let me also cc the CCAMP WG mailing list to make 100% clear that this is an open discussion

Thanks, Italo

Italo Busi
Principal Optical Transport Network Research Engineer
Huawei Technologies Co., Ltd.
Tel : +39 345 4721946
Email : [email-masked]

This e-mail and its attachments contain confidential information from HUAWEI, which is intended only for the person or entity whose address is listed above. Any use of the information contained herein in any way (including, but not limited to, total or partial disclosure, reproduction, or dissemination) by persons other than the intended recipient(s) is prohibited. If you receive this e-mail in error, please notify the sender by phone or email immediately and delete it!

From: Belotti, Sergio (Nokia - IT/Vimercate) [mailto:[email-masked]]
Sent: venerdì 5 luglio 2019 18:34
To: [email-masked]; [email-masked]; Zhenghaomian (Zhenghaomian, Optical Technology Research Dept) <[email-masked]>; [email-masked]; [email-masked]; [email-masked]; [email-masked]; Fatai Zhang <[email-masked]>; Italo Busi <[email-masked]>; [email-masked]; Beller, Dieter (Nokia - DE/Stuttgart) <[email-masked]>; [email-masked]; [email-masked]; [email-masked]; [email-masked]; [email-masked]; [email-masked]
Subject: RE: Updates to draft-ietf-ccamp-gmpls-otn-b100g-applicability

Hi Qilei,
Much thanks for proposed update.
Just a very little modification below.

Regards
Sergio

From: [email-masked]<mailto:[email-masked]> <[email-masked]<mailto:[email-masked]>>
Sent: Thursday, July 4, 2019 9:31 AM
To: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; Belotti, Sergio (Nokia - IT/Vimercate) <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; Beller, Dieter (Nokia - DE/Stuttgart) <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: Updates to draft-ietf-ccamp-gmpls-otn-b100g-applicability

Dear authors and contributors,

First, let me say, this is an open discussion. People are feel free to join under IETF guideline. Thanks.

According to the discussion before WG adoption, some updates are suggested by authors and contributors, and we all agreed that thext text could be added after adoption.

Based on that, I made the updats, which include:

(1), add a new clause 4.2 to descripbe ODUCn TE-link

Text:

"Section 3 of RFC7138 describes how to represent G.709 OTUk/ODUk with TE-Links in GMPLS. Similar to that, ODUCn links can also be represented as TE-Links, which can be seen in the figure below.

Two ends of a TE-Link is able to know whether the TE-Link is supported by an ODUCn or an ODUk or an OTUk, as well as the resource related information (e.g., slot granularity, number of tributary slot available)."

[Italo] For completeness, in line with RFC 7138, I would add also the case without 3R:

(2), add some words to the first paragraph of clause 4.2.1 the signalling to address Fatai's concern:

The OTN-TDM GENERALIZED_LABEL object is used to indicate how the LO ODUj signal is multiplexed into the HO ODUk link. The LO ODUj Signal Type is indicated by Traffic Parameters, while the type of HO ODUk link is identified by the selected interface carried in the IF_ID RSVP_HOP object. IF_ID RSVP_HOP object provides a pointer to the interface associated with TE-Link and therefore the two nodes terminating the TE-link know (by internal/local configuration) the attributes of ODUCn link Link.

SB> ODUCn TE-Link

[Italo] The first part of this text seems copied from RFC7139 but applies to LO ODUj multiplexing over HO ODUk, while in this document we are dealing with ODUk multiplexing over ODUCn. I would propose the following rephrase:

In [RFC7139], the OTN-TDM GENERALIZED_LABEL object is used to indicate how the LO ODUj signal is multiplexed into the HO ODUk link. In a similar manner, the OTN-TDM GENERALIZED_LABEL object is used to indicate how the ODUk signal is multiplexed into the ODUCn link. The ODUk Signal Type is indicated by Traffic Parameters. The IF_ID RSVP_HOP object provides a pointer to the interface associated with TE-Link and therefore the two nodes terminating the TE-link know (by internal/local configuration) the attributes of the ODUCn TE Link.

(3), change the mail addresses of Akshaya Nadahalli and Zheyu Fan.

Please feel free to comments on the wording.

Thanks

Qilei

---

From: "Belotti, Sergio (Nokia - IT/Vimercate)" <[email-masked]>
Date: Mon, 8 Jul 2019 12:28:55 +0000

Hi Italo, Qilei,
Yes, I would agree on the proposed modifications.

Thanks
Sergio

From: Italo Busi <[email-masked]>
Sent: Monday, July 8, 2019 2:00 PM
To: Belotti, Sergio (Nokia - IT/Vimercate) <[email-masked]>; [email-masked]; [email-masked]; Zhenghaomian (Zhenghaomian, Optical Technology Research Dept) <[email-masked]>; [email-masked]; [email-masked]; [email-masked]; [email-masked]; Fatai Zhang <[email-masked]>; [email-masked]; Beller, Dieter (Nokia - DE/Stuttgart) <[email-masked]>; [email-masked]; [email-masked]; [email-masked]; [email-masked]; [email-masked]; [email-masked]
Cc: [email-masked]
Subject: RE: Updates to draft-ietf-ccamp-gmpls-otn-b100g-applicability

Hi Qilei,

Thanks, Italo

Italo Busi
Principal Optical Transport Network Research Engineer
Huawei Technologies Co., Ltd.
Tel : +39 345 4721946
Email : [email-masked]<mailto:[email-masked]>

From: Belotti, Sergio (Nokia - IT/Vimercate) [mailto:[email-masked]]
Sent: venerdì 5 luglio 2019 18:34
To: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; Zhenghaomian (Zhenghaomian, Optical Technology Research Dept) <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; Fatai Zhang <[email-masked]<mailto:[email-masked]>>; Italo Busi <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>; Beller, Dieter (Nokia - DE/Stuttgart) <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: RE: Updates to draft-ietf-ccamp-gmpls-otn-b100g-applicability

Hi Qilei,

Regards
Sergio

Text:

SB> ODUCn TE-Link

Thanks

Qilei

---

From: <[email-masked]>
Date: Tue, 9 Jul 2019 04:07:09 +0800 (CST)

Hi Italo, Sergio,

Thank you for your comments. I'm also fine with proposed changes.

As the 01 version has already been uploaded, will reflect this in the next version.

Thanks

Qilei

原始邮件

发件人：Belotti,Sergio(Nokia-IT/Vimercate) <[email-masked]>
收件人：Italo Busi <[email-masked]>;王其磊10101413;[email-masked] <[email-masked]>;Zhenghaomian (Zhenghaomian, Optical Technology Research Dept) <[email-masked]>;[email-masked] <[email-masked]>;[email-masked] <[email-masked]>;[email-masked] <[email-masked]>;[email-masked] <[email-masked]>;Fatai Zhang <[email-masked]>;[email-masked] <[email-masked]>;Beller, Dieter (Nokia -DE/Stuttgart) <[email-masked]>;张源斌10170737;[email-masked] <[email-masked]>;[email-masked] <[email-masked]>;[email-masked] <[email-masked]>;[email-masked] <[email-masked]>;[email-masked] <[email-masked]>;
抄送人：[email-masked] <[email-masked]>;
日 期 ：2019年07月08日 20:29
主 题 ：RE: Updates to draft-ietf-ccamp-gmpls-otn-b100g-applicability

Hi Italo, Qilei,

 

Thanks

Sergio

 

Hi Qilei,

 

 

 

Thanks, Italo

Italo Busi 

Tel : +39 345 4721946

 

 

 

Hi Qilei,

 

Regards

Sergio

From: [email-masked] <[email-masked]> 
 Sent: Thursday, July 4, 2019 9:31 AM
 To: [email-masked]; [email-masked]; [email-masked]; Belotti, Sergio (Nokia - IT/Vimercate) <[email-masked]>; [email-masked]; [email-masked]; [email-masked]; [email-masked]; [email-masked]; [email-masked]; Beller, Dieter (Nokia - DE/Stuttgart) <[email-masked]>; [email-masked]; [email-masked]; [email-masked]; [email-masked]; [email-masked]; [email-masked]
 Subject: Updates to draft-ietf-ccamp-gmpls-otn-b100g-applicability

Text:

SB> ODUCn TE-Link

Thanks

Qilei

---

From: Huub van Helvoort <[email-masked]>
Date: Tue, 9 Jul 2019 14:37:22 +0200

Hello Qilei and all 你们好！

I have read the update. It is OK for me.

And I also agree with the comments and changes proposed  by Sergio
and Italo.

Cheers, Huub.

-----

Hi Italo, Sergio,

Thank you for your
comments. I'm also fine with proposed changes.

As the 01 version
has already been uploaded, will reflect this in the next
version.

Thanks

Qilei

原始邮件

发件人：Belotti,Sergio(Nokia-IT/Vimercate)
<[email-masked]>

收件人：Italo
Busi <[email-masked]>;王其磊10101413;[email-masked]
<[email-masked]>;Zhenghaomian
(Zhenghaomian, Optical Technology Research Dept)
<[email-masked]>;[email-masked]
<[email-masked]>;[email-masked]
<[email-masked]>;[email-masked]
<[email-masked]>;[email-masked]
<[email-masked]>;Fatai
Zhang <[email-masked]>;[email-masked]
<[email-masked]>;Beller,
Dieter (Nokia -DE/Stuttgart)
<[email-masked]>;张源斌10170737;[email-masked]
<[email-masked]>;[email-masked]
<[email-masked]>;[email-masked]
<[email-masked]>;[email-masked]
<[email-masked]>;[email-masked]
<[email-masked]>;

抄送人：[email-masked]
<[email-masked]>;

日 期 ：2019年07月08日 20:29

主 题 ：RE: Updates to
draft-ietf-ccamp-gmpls-otn-b100g-applicability

Hi Italo, Qilei,

Yes, I would agree on the
proposed modifications.

Thanks

Sergio

From:
Italo Busi <[email-masked]>

Sent: Monday, July 8, 2019
2:00 PM

To: Belotti, Sergio (Nokia
- IT/Vimercate)
<[email-masked]>;
[email-masked];
[email-masked]; Zhenghaomian
(Zhenghaomian, Optical Technology Research
Dept) <[email-masked]>;
[email-masked]; [email-masked];
[email-masked];
[email-masked]; Fatai Zhang
<[email-masked]>;
[email-masked]; Beller, Dieter (Nokia -
DE/Stuttgart)
<[email-masked]>;
[email-masked]; [email-masked];
[email-masked]; [email-masked];
[email-masked]; [email-masked]

Cc: [email-masked]

Subject: RE: Updates to
draft-ietf-ccamp-gmpls-otn-b100g-applicability

Hi
Qilei,

Thanks
for taking care of starting the draft update

Please
find a couple of comments in line below

Let
me also cc the CCAMP WG mailing list to make
100% clear that this is an open discussion

Thanks,
Italo

Italo
Busi

Tel : +39 345 4721946

This
e-mail and its attachments contain
confidential information from HUAWEI, which
is intended only for the person or entity
whose address  is listed above. Any use of
the information contained herein in any way
(including, but not limited to, total or
partial disclosure, reproduction, or
dissemination) by persons other than the
intended recipient(s) is prohibited. If you
receive this e-mail in  error, please notify
the sender by phone or email immediately and
delete it!

From:
Belotti, Sergio (Nokia - IT/Vimercate) [mailto:[email-masked]]

Sent: venerdì 5 luglio 2019
18:34

To: [email-masked];

[email-masked]; Zhenghaomian
(Zhenghaomian, Optical Technology Research
Dept) <[email-masked]>;
[email-masked];

[email-masked]; [email-masked];
[email-masked];
Fatai Zhang <[email-masked]>;
Italo Busi <[email-masked]>;
[email-masked];
Beller, Dieter (Nokia - DE/Stuttgart) <[email-masked]>;
[email-masked];

[email-masked]; [email-masked];
[email-masked];

[email-masked]; [email-masked]

Subject: RE: Updates to
draft-ietf-ccamp-gmpls-otn-b100g-applicability

Hi Qilei,

Much thanks for proposed
update.

Just a very little
modification below.

Regards

Sergio

From: [email-masked]
<[email-masked]>

Sent: Thursday, July 4, 2019
9:31 AM

To: [email-masked];

[email-masked]; [email-masked];
Belotti, Sergio (Nokia - IT/Vimercate) <[email-masked]>;
[email-masked];

[email-masked]; [email-masked];
[email-masked];

[email-masked]; [email-masked];
Beller, Dieter (Nokia - DE/Stuttgart) <[email-masked]>;
[email-masked];
[email-masked]; [email-masked];
[email-masked];

[email-masked]; [email-masked]

Subject: Updates to
draft-ietf-ccamp-gmpls-otn-b100g-applicability

Dear
authors and contributors,

First,
let me say, this is an open discussion.
People are feel free to join under IETF
guideline. Thanks.

According
to the discussion before WG adoption, some
updates are suggested by authors and
contributors, and we all agreed that thext
text could be added after adoption.

Based
on that, I made the updats, which include:

(1),
add a new clause 4.2 to descripbe ODUCn
TE-link

Text:

"Section
3 of RFC7138 describes how to represent
G.709 OTUk/ODUk with TE-Links in GMPLS.
Similar to that, ODUCn links can also be
represented as TE-Links, which can be seen
in the figure below.

Two
ends of a TE-Link is able to know whether
the TE-Link is supported by an ODUCn or an
ODUk or an OTUk, as well as the resource
related information (e.g., slot granularity,
number of tributary  slot available)."

[Italo]
For completeness, in line with RFC 7138, I
would add also the case without 3R:

(2),
add some words to the first paragraph of
clause 4.2.1 the signalling to address
Fatai's concern:

The
OTN-TDM GENERALIZED_LABEL object is used to
indicate how the LO ODUj signal is
multiplexed into the HO ODUk link. The LO
ODUj Signal Type is indicated by Traffic
Parameters, while the type  of HO ODUk link
is identified by the selected interface
carried in the IF_ID RSVP_HOP object. IF_ID
RSVP_HOP object provides a pointer to the
interface associated with TE-Link and
therefore the two nodes terminating the
TE-link know (by internal/local
configuration)  the attributes of ODUCn link Link.

SB> ODUCn TE-Link

[Italo] The first
part of this text seems copied from
RFC7139 but applies to LO ODUj
multiplexing over HO ODUk, while in this
document we are dealing with ODUk
multiplexing over ODUCn. I would propose
the following rephrase:

In
[RFC7139], the OTN-TDM GENERALIZED_LABEL
object is used to indicate how the LO ODUj
signal is multiplexed into the HO ODUk link.
In a similar manner, the OTN-TDM
GENERALIZED_LABEL object is used to
indicate how the ODUk signal is multiplexed
into the ODUCn link. The ODUk Signal Type is
indicated by Traffic Parameters. The IF_ID
RSVP_HOP object provides a pointer to the
interface associated with TE-Link and
therefore  the two nodes terminating the
TE-link know (by internal/local
configuration) the attributes of the ODUCn
TE Link.

(3),
change the mail addresses of Akshaya
Nadahalli and Zheyu Fan.

Please
feel free to comments on the wording.

Thanks

Qilei

--
================================================================
Always remember that you are unique...just like everyone else...